package org.coows;

import org.coows.ICooDesire;

/**
 * A simple desire implementation
 */
public class CooDesire
	implements ICooDesire {
    
    /**
     * A desire is a string
     */
	private String mDes;

	/**
	 * Constructor
	 *
	 */
	public CooDesire() {
	}


	/**
	 * Constructor
	 */
	public CooDesire(String aDes) {
		this.mDes = aDes;
	}


	public String toString() {
		return "Desire("+mDes+")";
	}


	/**
	 * 
	 * @see org.coows.ICooDesire#match(org.coows.ICooDesire)
	 */
	public boolean match(ICooDesire aDes) {
        if (aDes  instanceof CooDesire)
            return mDes.equals(((CooDesire)aDes).getMDes());
        else
            return false;
	}

    /**
     * 
     * @uml.property name="mDes"
     */
    public String getMDes() {
        return mDes;
    }

    /**
     * 
     * @uml.property name="mDes"
     */
    public void setMDes(String des) {
        mDes = des;
    }

}
