package org.coows;

/**
 * Define the interface for the remote events
 * (a sort of wrapper)
 */
public class CooEventRemote {

    /**
     * 
     * @uml.property name="mEvent"
     * @uml.associationEnd multiplicity="(0 1)"
     */
    private ICooEvent mEvent;

    private String mSourceHost;
    
	/** Constructor */
    public CooEventRemote()    {
    }

	/** Constructor */
	public CooEventRemote(ICooEvent anEvent, String anHost) {
		mEvent = anEvent;
        mSourceHost = anHost;
	}

    /**
     * Modifier
     * 
     * @uml.property name="mEvent"
     */
    public ICooEvent getMEvent() {
        return mEvent;
    }

    /**
     * Modifier
     * 
     * @uml.property name="mEvent"
     */
    public void setMEvent(ICooEvent event) {
        mEvent = event;
    }


    /** Modifier */
	public String getMAgentTO() {
		return mEvent.getMAgentTO();
	}

    /**
     * 
     * @uml.property name="mSourceHost"
     */
    public String getMSourceHost() {
        return mSourceHost;
    }

    /**
     * 
     * @uml.property name="mSourceHost"
     */
    public void setMSourceHost(String sourceHost) {
        mSourceHost = sourceHost;
    }

}
