package org.coows.ser;


import javax.xml.namespace.QName;
import org.apache.axis.encoding.ser.SimpleDeserializer;
import org.coows.engine.CooException;
import org.coows.util.CooBprFile;


/**
 * 
 */
public class CooBprFileDeserializer
	extends SimpleDeserializer
{
	   /**
	    * The Deserializer is constructed with the xmlType and javaType
	    */
	   public CooBprFileDeserializer(Class javaType, QName xmlType)
	   {
	      super(javaType, xmlType);
	   }

	   /**
	    * @see org.apache.axis.encoding.ser.
        *   SimpleDeserializer#makeValue(java.lang.String)
	    */
	   public Object makeValue(String source)
	   {
	      try
	      {
	         return new CooBprFile(source);
	      }
	      catch (Exception e) 
	      {
	         CooException.logError(e, "Error deserializing bpr file.");
	         return new CooBprFile("");
	      }
	   }
}
