package org.coows.test;

import org.coows.CooAccessSpecifierPublic;
import org.coows.CooDesire;
import org.coows.CooPlan;
import org.coows.util.CooSetOfPlans;

import junit.framework.TestCase;

/**
 * 
 */
public class TestCooSetOfPlans2 extends TestCase
{
	public TestCooSetOfPlans2(String name)
	{
		super(name);
	}
	
	public void testEmpty()
	{
		CooSetOfPlans sop = new CooSetOfPlans();
		CooPlan aPlan = new CooPlan("piano", new CooDesire("desire"), null, new CooAccessSpecifierPublic());
		
		assertTrue(sop.isEmpty());
		assertEquals(0, sop.size());
		
		sop.addPlan(aPlan);
		
		assertTrue(!sop.isEmpty());
		assertEquals(1,sop.size());
	}

}
