package org.coows.util;

import java.io.ByteArrayInputStream;

/**
 * 
 */
public class CooBprFile
{
	private ByteArrayInputStream mBprFile;
	
	/**
	 * Constructor
	 * @param aBprFile
	 * @param aServiceName
	 */
	public CooBprFile(ByteArrayInputStream aBprFile)
	{
		this.mBprFile = aBprFile;
	}
	
	public CooBprFile(String aBprFileStr)
	{
		mBprFile = new ByteArrayInputStream(aBprFileStr.getBytes());
	}
	
	public ByteArrayInputStream getBin()
	{
		return mBprFile;
	}
	
	public String toString()
	{
		return mBprFile.toString();
	}
}
