package org.coows.util;

/**
 * Wrapper class for the "requested"/"provided" info 
 *
 */
public class CooRequestID {
    /** The intention wich belongs the event*/
    private String mIntentionID;
    private String mInstanceID;
    
    /**
     * Constructor
     *
     */
    public CooRequestID() {
    }
    
    /**
     * Constructor 
     * @param anIntID
     * @param aPos
     * @param anInstID
     */
    public CooRequestID(String anIntID, String anInstID) {
        mIntentionID = anIntID;
        mInstanceID = anInstID;
    }
    
    public String toString() {
        return "CooRequestID("+mIntentionID+","+mInstanceID+")";
    }

    /**
     * 
     * @uml.property name="mInstanceID"
     */
    public String getMInstanceID() {
        return mInstanceID;
    }

    /**
     * 
     * @uml.property name="mInstanceID"
     */
    public void setMInstanceID(String instanceID) {
        mInstanceID = instanceID;
    }

    /**
     * 
     * @uml.property name="mIntentionID"
     */
    public String getMIntentionID() {
        return mIntentionID;
    }

    /**
     * 
     * @uml.property name="mIntentionID"
     */
    public void setMIntentionID(String intentionID) {
        mIntentionID = intentionID;
    }

}
