package org.coows.work;

import org.apache.commons.pool.PoolableObjectFactory;

/**
 * 
 */
public abstract class CooAbstractWorkerFactory
	implements PoolableObjectFactory
{

	/**
	 * @see org.apache.commons.pool.PoolableObjectFactory#makeObject()
	 */
	public abstract Object makeObject() throws Exception;

	/**
	 * @see org.apache.commons.pool.PoolableObjectFactory#destroyObject(java.lang.Object)
	 */
	public void destroyObject(Object obj) throws Exception
	{
	      if (obj instanceof CooAbstractWorker) {
	         CooAbstractWorker w = (CooAbstractWorker) obj;
	         w.setStopped(true);
	      }
	}
	

	/**
	 * @see org.apache.commons.pool.PoolableObjectFactory#validateObject(java.lang.Object)
	 */
	public boolean validateObject(Object arg0)
	{
		return true;
	}

	/**
	 * @see org.apache.commons.pool.PoolableObjectFactory#activateObject(java.lang.Object)
	 */
	public void activateObject(Object arg0) throws Exception
	{
	}

	/**
	 * @see org.apache.commons.pool.PoolableObjectFactory#passivateObject(java.lang.Object)
	 */
	public void passivateObject(Object arg0) throws Exception
	{
	}

}
