-- MySQL dump 9.11
--
-- Host: localhost    Database: CooWS
-- ------------------------------------------------------
-- Server version	4.0.23_Debian-3ubuntu2-log

--
-- Table structure for table `agentsXML`
--

DROP TABLE IF EXISTS `agentsXML`;
CREATE TABLE `agentsXML` (
  `serializedAgent` blob NOT NULL
) TYPE=MyISAM;

--
-- Dumping data for table `agentsXML`
--


/*!40000 ALTER TABLE `agentsXML` DISABLE KEYS */;
LOCK TABLES `agentsXML` WRITE;
INSERT INTO `agentsXML` VALUES ('<org.coows.util.CooAgentState>\n  <mAgentID>agent0</mAgentID>\n  <mSop>\n    <mPlans>\n      <org.coows.CooPlan>\n        <mPlanID>plan0</mPlanID>\n        <mTrigger class=\"org.coows.CooDesire\">\n          <mDes>trigger0</mDes>\n        </mTrigger>\n        <mBodyID>runPlanService</mBodyID>\n        <mAccessSpecifier class=\"org.coows.CooAccessSpecifierPublic\">\n          <mAccessSpecifier>PUBLIC</mAccessSpecifier>\n        </mAccessSpecifier>\n      </org.coows.CooPlan>\n      <org.coows.CooPlan>\n        <mPlanID>plan02</mPlanID>\n        <mTrigger class=\"org.coows.CooDesire\">\n          <mDes>trigger02</mDes>\n        </mTrigger>\n        <mBodyID>runPlanService</mBodyID>\n        <mAccessSpecifier class=\"org.coows.CooAccessSpecifierPublic\" reference=\"../../org.coows.CooPlan/mAccessSpecifier\"/>\n      </org.coows.CooPlan>\n      <org.coows.CooPlan>\n        <mPlanID>plan01</mPlanID>\n        <mTrigger class=\"org.coows.CooDesire\">\n          <mDes>trigger01</mDes>\n        </mTrigger>\n        <mBodyID>runPlanService</mBodyID>\n        <mAccessSpecifier class=\"org.coows.CooAccessSpecifierPrivate\">\n          <mAccessSpecifier>PRIVATE</mAccessSpecifier>\n        </mAccessSpecifier>\n      </org.coows.CooPlan>\n    </mPlans>\n  </mSop>\n  <mPartners/>\n  <mAcquisitionStrategy>0</mAcquisitionStrategy>\n</org.coows.util.CooAgentState>'),('<org.coows.util.CooAgentState>\n  <mAgentID>agent1</mAgentID>\n  <mSop>\n    <mPlans>\n      <org.coows.CooPlan>\n        <mPlanID>plan31</mPlanID>\n        <mTrigger class=\"org.coows.CooDesire\">\n          <mDes>trigger31</mDes>\n        </mTrigger>\n        <mBodyID>runPlanService</mBodyID>\n        <mAccessSpecifier class=\"org.coows.CooAccessSpecifierPrivate\">\n          <mAccessSpecifier>PRIVATE</mAccessSpecifier>\n        </mAccessSpecifier>\n      </org.coows.CooPlan>\n      <org.coows.CooPlan>\n        <mPlanID>plan3</mPlanID>\n        <mTrigger class=\"org.coows.CooDesire\">\n          <mDes>trigger3</mDes>\n        </mTrigger>\n        <mBodyID>runPlanService</mBodyID>\n        <mAccessSpecifier class=\"org.coows.CooAccessSpecifierPublic\">\n          <mAccessSpecifier>PUBLIC</mAccessSpecifier>\n        </mAccessSpecifier>\n      </org.coows.CooPlan>\n      <org.coows.CooPlan>\n        <mPlanID>plan32</mPlanID>\n        <mTrigger class=\"org.coows.CooDesire\">\n          <mDes>trigger32</mDes>\n        </mTrigger>\n        <mBodyID>runPlanService</mBodyID>\n        <mAccessSpecifier class=\"org.coows.CooAccessSpecifierPublic\" reference=\"../../org.coows.CooPlan[2]/mAccessSpecifier\"/>\n      </org.coows.CooPlan>\n    </mPlans>\n  </mSop>\n  <mPartners/>\n  <mAcquisitionStrategy>0</mAcquisitionStrategy>\n</org.coows.util.CooAgentState>');
UNLOCK TABLES;
/*!40000 ALTER TABLE `agentsXML` ENABLE KEYS */;

--
-- Table structure for table `bpelProcessesXML`
--

DROP TABLE IF EXISTS `bpelProcessesXML`;
CREATE TABLE `bpelProcessesXML` (
  `serviceName` varchar(100) NOT NULL default '',
  `serializedBpelProcess` blob NOT NULL,
  PRIMARY KEY  (`serviceName`)
) TYPE=MyISAM;

--
-- Dumping data for table `bpelProcessesXML`
--


/*!40000 ALTER TABLE `bpelProcessesXML` DISABLE KEYS */;
LOCK TABLES `bpelProcessesXML` WRITE;
INSERT INTO `bpelProcessesXML` VALUES ('runPlanService','<org.coows.CooBpelProcessBpr>\n  <mBprFile>\n    <mBprFile>\n      <buf>UEsDBAoAAAAAAAiHYTIAAAAAAAAAAAAAAAAJAAAATUVUQS1JTkYvUEsDBAoAAAAIAAeHYTLoIeIa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\nAAkACQAaAgAAVwoAAAAA</buf>\n      <pos>0</pos>\n      <mark>0</mark>\n      <count>3207</count>\n    </mBprFile>\n  </mBprFile>\n  <mServiceName>runPlanService</mServiceName>\n</org.coows.CooBpelProcessBpr>');
UNLOCK TABLES;
/*!40000 ALTER TABLE `bpelProcessesXML` ENABLE KEYS */;

