package org.coows.ser;

import javax.xml.namespace.QName;

import org.apache.axis.encoding.SerializationContext;
import org.apache.axis.encoding.ser.SimpleSerializer;
import org.coows.util.CooBprFile;

/**
 * 
 */
public class CooBprFileSerializer extends SimpleSerializer
{
	   /**
	    * The Serializer is constructed with the xmlType and javaType
	    */
	   public CooBprFileSerializer(Class javaType, QName xmlType)
	   {
	      super(javaType, xmlType);
	   }

	
	   public String getValueAsString(Object aValue, SerializationContext aContext)
	   {
	      CooBprFile bprFile = (CooBprFile) aValue;
	      return bprFile.toString();
	   }	
	

}
