package org.coows.test;

import org.coows.CooBpelProcessBpr;
import org.coows.util.CooBprFile;

import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;

import java.io.FileInputStream;



public class BpelProcessesFactory
{
	public static CooBpelProcessBpr createProcess(String aProcessName)
	{
		String aBprFilePath = "/home/joshua/workspace/";
		CooBprFile bprFile;
		CooBpelProcessBpr res;
		
		
		try
		{
			BufferedInputStream buf = new BufferedInputStream(new FileInputStream(aBprFilePath));
			byte[] bytes = new byte[buf.available()];
			buf.read(bytes, 0, buf.available());
			
			bprFile = new CooBprFile(new ByteArrayInputStream(bytes));
			res = new CooBpelProcessBpr(bprFile, aProcessName);
			
			return res;
		}
		catch(Exception e)
		{
			System.err.println("Error creating bpelProcess!\n" + e.getMessage());
			return null;
		}
	}
}
