package org.coows.web;

import org.apache.axis.transport.http.AxisServlet;

import org.coows.engine.CooEngine;
import org.coows.engine.CooException;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;


/**
 * The CooWS servlet
 */
public class CooEngineServlet
    extends AxisServlet
{
    public void destroy()
    {
   
        try {
            CooEngine.shutdown();
        }
        catch (CooException e) {
            System.err.println("CooWS ERROR while shutdown!!!!");
            e.printStackTrace();
        }

        super.destroy();
    }

    public void init(ServletConfig aConfig)
        throws ServletException
    {
        try
        {
        	startEngine();
            super.init(aConfig);
        }
        catch (Exception e)
        {
            throw new ServletException(e);
        }
    }

    private void startEngine()
    {
        Runnable starter = new Runnable()
        {
            public void run()
            {
                try
                {
                    try
                    {
                        Thread.sleep(5000);
                    }
                    catch (InterruptedException e) {}
                    CooEngine.init();
                }
                catch (Throwable ie)
                {
                    System.err.println("ERROR! UNABLE TO START COOWS ENGINE!");
                }
            }
        };

        Thread startThread = new Thread(starter);
        
        startThread.start();
    }
    
}
